## Map Rules ##

#Spawnpoint
gamerule globalmute true
immutableworld true
gamerule commandBlockOutput false
gamerule sendcommandfeedback false
gamerule doFireTick false
gamerule doInsomnia false
gamerule tntExplodes false
gamerule doTileDrops false
gamerule allowdestructiveobjects false
gamerule randomtickspeed 0
execute @a ~ ~ ~ gamemode s
effect @a clear
effect @a instant_health 99999 255 true
effect @a saturation 99999 255 true

## Activity reset ##

function ceo/reset
function activity1/reset
function activity1/resetpart2
function activity1/resetpart3
function activity2/reset
function activity2/resetpart2
function activity3/reset
function activity4/reset

## Mobs ##

gamerule domobspawning false
gamerule allowmobs true
gamerule doMobLoot false
gamerule mobGriefing false
gamerule doEntityDrops false
difficulty peaceful


## Time ##

gamerule doDaylightCycle false
time set noon

## Weather ##

gamerule doWeatherCycle false
weather clear

## Player ##
ability @a worldbuilder false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule pvp false
gamerule doimmediaterespawn true
gamerule keepInventory true
gamerule showdeathmessages false
gamerule naturalregeneration true
gamerule showCoordinates true
xp -200L @a
TP @p 24 40 -17 90
clear @p

## Agent ##

execute @p ~ ~ ~ TP @e[type=agent] ~ ~ ~100
execute @p ~ ~ ~ effect @e[type=pws:npc_agent] clear

## Scoreboards ##

scoreboard objectives add activity dummy Activity
scoreboard players set @p activity -1
scoreboard objectives add bugs dummy Bugs
scoreboard players set @p bugs 0
scoreboard objectives add check1 dummy checkpoint1
scoreboard players set @p check1 0
scoreboard objectives add check2 dummy checkpoint2
scoreboard players set @p check2 0
scoreboard objectives add check3 dummy checkpoint3
scoreboard players set @p check3 0
scoreboard objectives add check4 dummy checkpoint4
scoreboard players set @p check4 0
scoreboard objectives add check5 dummy checkpoint5
scoreboard players set @p check5 0
scoreboard objectives add check6 dummy checkpoint6
scoreboard players set @p check6 0
scoreboard objectives add time dummy time
scoreboard players set @p time 0
scoreboard objectives add done dummy
scoreboard players set @p done 0

## Clear Agent Inventory ##

execute @p ~ ~ ~ replaceitem entity @c slot.inventory 0 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 1 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 2 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 3 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 4 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 5 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 6 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 7 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 8 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 9 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 10 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 11 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 12 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 13 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 14 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 15 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 16 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 17 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 18 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 19 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 20 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 21 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 22 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 23 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 24 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 25 air
execute @p ~ ~ ~ replaceitem entity @c slot.inventory 26 air
kill @e[type=item]

## Actionbar
titleraw @p actionbar {"rawtext":[{"translate":"start.actionbar.ceo"}]}

## MarkDown Link ##
codebuilder navigate @p false https://minecraft.makecode.com/?ipc=1&inGame=1&noRunOnX=1#tutorial:Mojang/EducationContent/python/noCodingRequired

## Gates ##
function lift/endliftclose
function lift/startliftopen
function gates/activitygates

gamerule globalmute false

## Map Extra ##
execute @p ~ ~ ~ effect @e[type=pws:npc_agent, x=-51, y=41, z=-22, r=3] invisibility 99999 1 true


